# Generate Report (deprecated) This API is deprecated please refer to /projects/{projectId}/reports/{reportId}/generate to Generate a report. Refer /projects/{projectId}/reports/{reportId}/download to Download a report. Generates Reports (PROJECT, AUDIT, NOTICES, CUSTOM_REPORT) for a given projectId. For CUSTOM_REPORT provide the name of the report. All project users including Observer, Reviewer and Analyst can generate reports for private projects. Try it out is not available for this API. This API can be tested using conventional REST API clients such as postman or cURL. When calling this API from a REST client, you need to redirect output to a zip file as follows curl -X GET "http://HOST:PORT/codeinsight/api/project/generateReport?reportType=REPORT_TYPE&projectId=PROJECT_ID" -H "accept: application/octet-stream" -H "Authorization: Bearer JWT_TOKEN" > report.zip Endpoint: GET /project/generateReport Version: v1 Security: bearerAuth ## Query parameters: - `projectId` (integer, required) ID of the Project Example: 1 - `reportType` (string, required) Report Type Example: "PROJECT" - `otherProjectId` (integer) Project Id of the secondary project to be included in the report. This parameter is required, if the enableProjectPicker property for this report type is set to true. (Example: 2) ## Response 200 fields ## Response 400 fields